%define build_check     0
%{?_with_build_check: %{expand: %%global build_check 1}}
%{?_without_build_check: %{expand: %%global build_check 0}}

# cmake still requires here:
#-- Could NOT find SUPERLU  (missing:  SUPERLU_INCLUDES SUPERLU_LIBRARIES)
#-- Could NOT find GOOGLEHASH  (missing:  GOOGLEHASH_INCLUDES)
%if %{build_check}
%define extrabuild	-DEIGEN_BUILD_TESTS:BOOL=ON
%else
%define extrabuild	%{nil}
%endif

Name: eigen2
Summary: Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Version: 2.0.0
Release: 1mcnl2008.1
Epoch: 1
Group: System/Libraries
License: LGPL
URL: http://eigen.tuxfamily.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: cmake >= 2.6.1
BuildRequires: doxygen
BuildRequires: ghostscript-common
BuildRequires: graphviz
BuildRequires: tetex-dvips
BuildRequires: tetex-latex
%if %{build_check}
BuildRequires: blas-devel
BuildRequires: cholmod-devel
BuildRequires: superlu
BuildRequires: umfpack-devel
%endif

%description 
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -q %{name}

%build
%cmake %{extrabuild}
%make

# this should be fixed later in cmake doc
(cd ..
 doxygen
)

(cd ../latex
 make refman.pdf
)

%install
rm -rf %{buildroot}
make -C build DESTDIR=%{buildroot} install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.LESSER html/ latex/refman.pdf
%dir %{_includedir}/eigen2/
%{_includedir}/eigen2/*


%changelog
* Sun Jan 25 2009 Giuseppe Ghibò <ghibo@mandriva.com> 1:2.0-0.beta6.1mdv2009.1
+ Revision: 333396
- Update to release 2.0beta6.
- Add docs.
- Initial support for checking (trough --with build_check rpm flag).

* Tue Nov 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0-0.beta1.2mdv2009.1
+ Revision: 299669
- Udpate eigen snapshot

* Thu Sep 18 2008 Helio Chissini de Castro <helio@mandriva.com> 1:2.0-0.beta1.1mdv2009.0
+ Revision: 285689
- Deploying eigen2
- This is eigen2.
- No need extra requires
- Eigen2 beta1 requires by koffice beta1

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0-2.alpha4.1mdv2009.0
+ Revision: 264425
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.alpha4.1mdv2009.0
+ Revision: 195340
- Update to eigen 2 alpha4

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-2mdv2008.1
+ Revision: 170810
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 48943
- import eigen-1.0.5-1mdv2008.0

